## ros-noetic-prbt-support 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(prbt_support)

find_package(catkin REQUIRED COMPONENTS
  canopen_chain_node
  pilz_utils
  roscpp
  roslint
  sensor_msgs
)

add_definitions(-Wall)
add_definitions(-Wextra)
add_definitions(-Wno-unused-parameter)
add_definitions(-Werror)
add_definitions(-std=c++11)
add_definitions(-Wconversion) # At least this line needs to be below find_package to keep
                              #  the flag away from the gmock build
add_definitions(-Wpedantic)

catkin_package(
  CATKIN_DEPENDS roscpp
  INCLUDE_DIRS include
)

################
## Clang tidy ##
################
if(CATKIN_ENABLE_CLANG_TIDY)
  find_program(
    CLANG_TIDY_EXE
    NAMES "clang-tidy"
    DOC "Path to clang-tidy executable"
    )
  if(NOT CLANG_TIDY_EXE)
    message(FATAL_ERROR "clang-tidy not found.")
  else()
    message(STATUS "clang-tidy found: ${CLANG_TIDY_EXE}")
    set(CMAKE_CXX_CLANG_TIDY "${CLANG_TIDY_EXE}")
  endif()
endif()

###########
## Build ##
###########

include_directories(
  include ${catkin_INCLUDE_DIRS}
)

# SYSTEM_INFO_NODE
add_executable(system_info_node
  src/system_info_node.cpp
  src/system_info.cpp
  src/system_info_exception.cpp
)
add_dependencies(system_info_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(system_info_node ${catkin_LIBRARIES})

#############
## Install ##
#############

## Install URDF and meshes
install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY urdf DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY meshes DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE)

install(TARGETS
  system_info_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)

  find_package(rostest REQUIRED)
  find_package(moveit_core REQUIRED)
  find_package(moveit_ros_planning REQUIRED)
  find_package(cmake_modules REQUIRED)
  find_package(Eigen3 REQUIRED)
  find_package(pilz_testutils REQUIRED)

  if(ENABLE_COVERAGE_TESTING)
    find_package(code_coverage REQUIRED)
    APPEND_COVERAGE_COMPILER_FLAGS()
  endif()

  #catkin_lint: ignore_once missing_directory <-- needed for successful catkin_linting
  #Declare system to supress strict compiler errors in external library headers
  include_directories(
    ${pilz_testutils_INCLUDE_DIRS}
    SYSTEM
    ${catkin_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIR}
    ${gmock_SOURCE_DIR}/include/
  )

  #--- SystemInfo unit test ---
  add_rostest_gmock(unittest_system_info
      test/unit_tests/unittest_system_info.test
      test/unit_tests/unittest_system_info.cpp
      src/system_info.cpp
      src/system_info_exception.cpp
  )
  target_link_libraries(unittest_system_info
    ${catkin_LIBRARIES}
  )
  #----------------------------------------

  add_rostest_gtest(urdf_tests
  test/urdf_tests.test
  test/urdf_tests.cpp
  )

  target_link_libraries(urdf_tests
    ${catkin_LIBRARIES}
    ${roscpp_LIBRARIES}
    ${moveit_core_LIBRARIES}
    ${moveit_ros_planning_LIBRARIES}
    ${Eigen3_LIBRARIES})

  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch)

  roslint_python(
    test/acceptance_tests/acceptance_test_joint_limits.py
  )
  roslint_add_test()

  # to run: catkin_make -DENABLE_COVERAGE_TESTING=ON package_name_coverage (adding -j1 recommended)
  if(ENABLE_COVERAGE_TESTING)
    set(COVERAGE_EXCLUDES "*/${PROJECT_NAME}/test*")
    add_code_coverage(
      NAME ${PROJECT_NAME}_coverage
      DEPENDS tests
    )
  endif()

endif()

=== debian/changelog ===
ros-noetic-prbt-support (0.6.0-1buster) buster; urgency=high

  * Ports the driver to noetic. Includes moveing the trajectory planner to moveit
    * changes the references of the pilz_command_planner to the pilz_industrial_command_planner in moveit
    * fixes compatibility with ubuntu 20, noetic and colcon
    * changes CI to noetic and ubuntu 20
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 18 Apr 2021 22:00:00 -0000

ros-noetic-prbt-support (0.5.21-1buster) buster; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 22 Nov 2020 23:00:00 -0000

ros-noetic-prbt-support (0.5.20-1buster) buster; urgency=high

  * Fix acceptancetest_joint_limits (#448)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-noetic-prbt-support (0.5.19-1buster) buster; urgency=high

  * Reduce planning context to urdf model in urdf_tests.test (#451)
  * Increase acceleration limits. (#442)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Sep 2020 22:00:00 -0000

ros-noetic-prbt-support (0.5.18-1buster) buster; urgency=high

  * Make AsyncTest header-only
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 01 Jul 2020 22:00:00 -0000

ros-noetic-prbt-support (0.5.17-1buster) buster; urgency=high

  * Redirect start of fake_speed_override_node to separate launch file
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 21 Jun 2020 22:00:00 -0000

ros-noetic-prbt-support (0.5.16-1buster) buster; urgency=high

  * Fix include_directories for prbt_support tests (#390)
  * Update and apply clang-format (#387)
  * Make test-subfolder-names consistent (#380)
  * Fix/joint limits acceptance test (#381)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 14 May 2020 22:00:00 -0000

ros-noetic-prbt-support (0.5.15-1buster) buster; urgency=high

  * Add support for starting the robot without modbus
  * Rename argument enable_safety_interface to iso10218_support.
  * Moved system_info_node here from prbt_hardware_support
  * Adopted default configuration for launchfiles
  * Add README
  * Enable starting ROS without connecting to safety controller
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 02 May 2020 22:00:00 -0000

ros-noetic-prbt-support (0.5.14-1buster) buster; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 10 Mar 2020 23:00:00 -0000

ros-noetic-prbt-support (0.5.13-1buster) buster; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-noetic-prbt-support (0.5.12-1buster) buster; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Nov 2019 23:00:00 -0000

ros-noetic-prbt-support (0.5.11-1buster) buster; urgency=high

  * Fix clang compiler errors (#283)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 21 Nov 2019 23:00:00 -0000

ros-noetic-prbt-support (0.5.10-1buster) buster; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 07 Oct 2019 22:00:00 -0000

ros-noetic-prbt-support (0.5.9-1buster) buster; urgency=high

  * Add frame speed monitoring
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Oct 2019 22:00:00 -0000

ros-noetic-prbt-support (0.5.8-1buster) buster; urgency=high

  * integrate clang-tidy via CMake flag
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2019 22:00:00 -0000

ros-noetic-prbt-support (0.5.7-1buster) buster; urgency=high

  * Add default modbus server ip for pss4000
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 28 Aug 2019 22:00:00 -0000

ros-noetic-prbt-support (0.5.6-1buster) buster; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-noetic-prbt-support (0.5.5-1buster) buster; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-noetic-prbt-support (0.5.4-1buster) buster; urgency=high

  * instantiate pg70 xacro macro (due to change in prbt_grippers)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 26 May 2019 22:00:00 -0000

ros-noetic-prbt-support (0.5.3-1buster) buster; urgency=high

  * Add acceptance test for joint position limits
  * Relax joint limits.
  * Replace the radian values for the position limits (they have been rounded too roughly).
  * Added support for force-/torque sensors in gazebo
  * allow gripper_name as outside property instead of passing it explicitly
  * Add gripper brackets definition to prbt.xacro
  * Remove unnecessary file test_context.launch
    This file is moved to pilz_trajectory_generation, where it is mainly used.
    The test urdf_tests can use the original file planning_context.launch.
  * Add missing dependency on joint_state_controller
  * Relax joint limits (recompute radian values and round up 5th decimal)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 23 Apr 2019 22:00:00 -0000

ros-noetic-prbt-support (0.5.2-1buster) buster; urgency=high

  * drop outdated can configuration
  * Fixup of mesh files due to errors in gazebo visualization
  * make robot.launch file configurable with args
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 20 Feb 2019 23:00:00 -0000

ros-noetic-prbt-support (0.5.1-1buster) buster; urgency=high

  * melodic release based on kinetic version 0.4.3
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 29 Nov 2018 23:00:00 -0000

ros-noetic-prbt-support (0.5.0-1buster) buster; urgency=high





=== debian/control ===
Source: ros-noetic-prbt-support
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-noetic-canopen-chain-node, ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-code-coverage, ros-noetic-joint-state-publisher, ros-noetic-moveit-core, ros-noetic-moveit-ros-planning, ros-noetic-pilz-testutils, ros-noetic-pilz-utils, ros-noetic-prbt-hardware-support, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-roslint, ros-noetic-rostest, ros-noetic-rosunit, ros-noetic-rviz, ros-noetic-sensor-msgs
Homepage: https://wiki.ros.org/prbt_support
Standards-Version: 3.9.2

Package: ros-noetic-prbt-support
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-canopen-motor-node, ros-noetic-controller-manager, ros-noetic-joint-state-controller, ros-noetic-pilz-control, ros-noetic-pilz-status-indicator-rqt, ros-noetic-prbt-hardware-support, ros-noetic-robot-state-publisher, ros-noetic-roscpp, ros-noetic-rosservice, ros-noetic-topic-tools, ros-noetic-xacro
Description: Mechanical, kinematic and visual description of the Pilz light weight arm PRBT.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-prbt-support//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
